# Class default`Abstract`

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- default
  - default
    - default
    - default

- Defined in src/ui/abstact-option-select-ui-handler.ts:33

#####
Index

### Constructors

constructor

### Properties

active
blockInput
config
cursor
cursorObj
mode
optionSelectBg
optionSelectContainer
optionSelectIcons
optionSelectText
scene
scrollCursor

### Methods

clear
eraseCursor
getCursor
getOptionsWithScroll
getTextColor
getUi
getWindowHeight
getWindowWidth
processInput
setCursor
setup
setupOptions
show
unblockInput

## Constructors

### constructor

- new default(scene, mode?): default

- #### Parameters

  - scene: default
  - `Optional` mode: Mode

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/abstact-option-select-ui-handler.ts:47

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` blockInput

blockInput: boolean

- Defined in src/ui/abstact-option-select-ui-handler.ts:41

### `Protected` config

config: OptionSelectConfig

- Defined in src/ui/abstact-option-select-ui-handler.ts:39

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Private` cursorObj

cursorObj: Image

- Defined in src/ui/abstact-option-select-ui-handler.ts:45

### `Protected` mode

mode: number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` optionSelectBg

optionSelectBg: NineSlice

- Defined in src/ui/abstact-option-select-ui-handler.ts:35

### `Protected` optionSelectContainer

optionSelectContainer: Container

- Defined in src/ui/abstact-option-select-ui-handler.ts:34

### `Protected` optionSelectIcons

optionSelectIcons: Sprite[]

- Defined in src/ui/abstact-option-select-ui-handler.ts:37

### `Protected` optionSelectText

optionSelectText: Text

- Defined in src/ui/abstact-option-select-ui-handler.ts:36

### `Protected` scene

scene: default

Inherited from default.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` scrollCursor

scrollCursor: number = 0

- Defined in src/ui/abstact-option-select-ui-handler.ts:43

## Methods

### clear

- clear(): void

- #### Returns void

  Overrides default.clear

  - Defined in src/ui/abstact-option-select-ui-handler.ts:299

### eraseCursor

- eraseCursor(): void

- #### Returns void

  - Defined in src/ui/abstact-option-select-ui-handler.ts:306

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getOptionsWithScroll

- getOptionsWithScroll(): OptionSelectItem []

- #### Returns OptionSelectItem []

  - Defined in src/ui/abstact-option-select-ui-handler.ts:220

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:34

### getWindowHeight

- getWindowHeight(): number

- #### Returns number

  - Defined in src/ui/abstact-option-select-ui-handler.ts:53

### `Abstract` getWindowWidth

- getWindowWidth(): number

- #### Returns number

  - Defined in src/ui/abstact-option-select-ui-handler.ts:51

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/abstact-option-select-ui-handler.ts:150

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/abstact-option-select-ui-handler.ts:255

### setup

- setup(): void

- #### Returns void

  Overrides default.setup

  - Defined in src/ui/abstact-option-select-ui-handler.ts:57

### `Protected` setupOptions

- setupOptions(): void

- #### Returns void

  - Defined in src/ui/abstact-option-select-ui-handler.ts:73

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/abstact-option-select-ui-handler.ts:125

### unblockInput

- unblockInput(): void

- #### Returns void

  - Defined in src/ui/abstact-option-select-ui-handler.ts:211